Clear the searchable snapshots shared cache

  • POST /{index}/_searchable_snapshots/cache/clear
  • POST /_searchable_snapshots/cache/clear
Auth

Clear indices and data streams from the shared cache for partially mounted indices.

More about searchable snapshots

Required authorization

Index privileges manage
Cluster privileges manage

Path parameters

index union string | string[] optional

A comma-separated list of data streams, indices, and aliases to clear from the cache. It supports wildcards (*).

Leave it out to use /_searchable_snapshots/cache/clear.

Query parameters

expand_wildcards union oneOf · default: open

Whether to expand wildcard expression to concrete indices that are open, closed or both

Supported values include:

  • all: Match any data stream or index, including hidden ones.
  • open: Match open, non-hidden indices. Also matches any non-hidden data stream.
  • closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.
  • hidden: Match hidden data streams and hidden indices. Must be combined with open, closed, or both.
  • none: Wildcard expressions are not accepted.
Values: all open closed hidden none
allow_no_indices boolean

A setting that does two separate checks on the index expression. If false, the request returns an error (1) if any wildcard expression (including _all and *) resolves to zero matching indices or (2) if the complete set of resolved indices, aliases or data streams is empty after all expressions are evaluated. If true, index expressions that resolve to no indices are allowed and the request returns an empty result.

ignore_unavailable boolean

If false, the request returns an error if it targets a concrete (non-wildcarded) index, alias, or data stream that is missing, closed, or otherwise unavailable. If true, unavailable concrete targets are silently ignored.

Response

application/json

Response Type: object